Package gui.constants

# Enum Class SudokuType

java.lang.Object
java.lang.Enum<SudokuType>
gui.constants.SudokuType

All Implemented Interfaces:
  `Serializable`, `Comparable<SudokuType>`, `Constable`

public enum SudokuType extends Enum<SudokuType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MultidokuPlusRectangle`
  `MultiDokuPlusSquare`
  `MultidokuXRectangle`
  `MultiDokuXSquare`
  `RandomBloc`
  `Rectangle`
  `Square`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MultiDoku`
  `createDoku(List<IConstraint> constraints, int... params)`
  `String`
  `getDisplayName()`
  `int`
  `getMakerParamCount()`
  `static String[]`
  `getTypeNames()`
  `static SudokuType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SudokuType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Square

    public static final SudokuType Square

  - ### Rectangle

    public static final SudokuType Rectangle

  - ### RandomBloc

    public static final SudokuType RandomBloc

  - ### MultiDokuXSquare

    public static final SudokuType MultiDokuXSquare

  - ### MultidokuXRectangle

    public static final SudokuType MultidokuXRectangle

  - ### MultiDokuPlusSquare

    public static final SudokuType MultiDokuPlusSquare

  - ### MultidokuPlusRectangle

    public static final SudokuType MultidokuPlusRectangle

- ## Method Details

  - ### values

    public static SudokuType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SudokuType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()

  - ### createDoku

    public MultiDoku createDoku(List<IConstraint> constraints, int... params)

  - ### getMakerParamCount

    public int getMakerParamCount()

  - ### getTypeNames

    public static String[] getTypeNames()